###

``
Need help reading this?

### defaults

Defaults & options

defaults
Returns
`object`: Typed defaults & options
Static Members
▸ strings
strings
Properties
strings `(array)` : strings to be typed
stringsElement `(string)` : ID of element containing string children
▸ typeSpeed
typeSpeed
Properties
typeSpeed `(number)` : type speed in milliseconds
▸ startDelay
startDelay
Properties
startDelay `(number)` : time before typing starts in milliseconds
▸ backSpeed
backSpeed
Properties
backSpeed `(number)` : backspacing speed in milliseconds
▸ smartBackspace
smartBackspace
Properties
smartBackspace `(boolean)` : only backspace what doesn't match the previous string
▸ shuffle
shuffle
Properties
shuffle `(boolean)` : shuffle the strings
▸ backDelay
backDelay
Properties
backDelay `(number)` : time before backspacing in milliseconds
▸ fadeOut
fadeOut
Properties
fadeOut `(boolean)` : Fade out instead of backspace
fadeOutClass `(string)` : css class for fade animation
fadeOutDelay `(boolean)` : Fade out delay in milliseconds
▸ loop
loop
Properties
loop `(boolean)` : loop strings
loopCount `(number)` : amount of loops
▸ showCursor
showCursor
Properties
showCursor `(boolean)` : show cursor
cursorChar `(string)` : character for cursor
autoInsertCss `(boolean)` : insert CSS for cursor and fadeOut into HTML
▸ attr
attr
Properties
attr `(string)` : attribute for typing Ex: input placeholder, value, or just HTML text
▸ bindInputFocusEvents
bindInputFocusEvents
Properties
bindInputFocusEvents `(boolean)` : bind to focus and blur if el is text input
▸ contentType
contentType
Properties
contentType `(string)` : 'html' or 'null' for plaintext
▸ onComplete(self)

All typing is complete

onComplete(self: Typed)
Parameters
self `(Typed)`
▸ preStringTyped(arrayPos, self)

Before each string is typed

preStringTyped(arrayPos: number, self: Typed)
Parameters
arrayPos `(number)`
self `(Typed)`
▸ onStringTyped(arrayPos, self)

After each string is typed

onStringTyped(arrayPos: number, self: Typed)
Parameters
arrayPos `(number)`
self `(Typed)`
▸ onLastStringBackspaced(self)

During looping, after last string is typed

onLastStringBackspaced(self: Typed)
Parameters
self `(Typed)`
▸ onTypingPaused(arrayPos, self)

Typing has been stopped

onTypingPaused(arrayPos: number, self: Typed)
Parameters
arrayPos `(number)`
self `(Typed)`
▸ onTypingResumed(arrayPos, self)

Typing has been started after being stopped

onTypingResumed(arrayPos: number, self: Typed)
Parameters
arrayPos `(number)`
self `(Typed)`
▸ onReset(self)

After reset

onReset(self: Typed)
Parameters
self `(Typed)`
▸ onStop(arrayPos, self)

After stop

onStop(arrayPos: number, self: Typed)
Parameters
arrayPos `(number)`
self `(Typed)`
▸ onStart(arrayPos, self)

After start

onStart(arrayPos: number, self: Typed)
Parameters
arrayPos `(number)`
self `(Typed)`
▸ onDestroy(self)

After destroy

onDestroy(self: Typed)
Parameters
self `(Typed)`

### HTMLParser

TODO: These methods can probably be combined somehow Parse HTML tags & HTML Characters

new HTMLParser()

### Initializer

Initialize the Typed object

new Initializer()

### Typed

Welcome to Typed.js!

new Typed(elementId: string, options: object): object
Parameters
elementId `(string)` HTML element ID OR HTML element
options `(object)` options object
Returns
`object`: a new Typed object
Instance Members
▸ toggle()

Toggle start() and stop() of the Typed instance

toggle()
▸ stop()

Stop typing / backspacing and enable cursor blinking

stop()
▸ start()

Start typing / backspacing after being stopped

start()
▸ destroy()

Destroy this instance of Typed

destroy()
▸ reset(restart?)

Reset Typed and optionally restarts

reset(restart: boolean?= nser)
Parameters
restart `(boolean?= nser)`